Index: stable/HeuristicLab.Algorithms.RAPGA/3.3/Analyzers/OffspringSuccessAnalyzer.cs
===================================================================
--- stable/HeuristicLab.Algorithms.RAPGA/3.3/Analyzers/OffspringSuccessAnalyzer.cs	(revision 15587)
+++ stable/HeuristicLab.Algorithms.RAPGA/3.3/Analyzers/OffspringSuccessAnalyzer.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -28,5 +28,5 @@
 using HeuristicLab.Optimization.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Algorithms.RAPGA {
@@ -35,5 +35,5 @@
   /// </summary>
   [Item("OffspringSuccessAnalyzer", "An operator which analyzes the success of the created offspring in a generation.")]
-  [StorableClass]
+  [StorableType("1E42247A-C685-448C-82FF-247A598D6C10")]
   public sealed class OffspringSuccessAnalyzer : AlgorithmOperator, IAnalyzer {
     #region Parameter properties
@@ -72,5 +72,5 @@
     #region Storing & Cloning
     [StorableConstructor]
-    private OffspringSuccessAnalyzer(bool deserializing) : base(deserializing) { }
+    private OffspringSuccessAnalyzer(StorableConstructorFlag _) : base(_) { }
     private OffspringSuccessAnalyzer(OffspringSuccessAnalyzer original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: stable/HeuristicLab.Algorithms.RAPGA/3.3/Analyzers/PopulationSizeAnalyzer.cs
===================================================================
--- stable/HeuristicLab.Algorithms.RAPGA/3.3/Analyzers/PopulationSizeAnalyzer.cs	(revision 15587)
+++ stable/HeuristicLab.Algorithms.RAPGA/3.3/Analyzers/PopulationSizeAnalyzer.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -28,5 +28,5 @@
 using HeuristicLab.Optimization.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Algorithms.RAPGA {
@@ -35,5 +35,5 @@
   /// </summary>
   [Item("PopulationSizeAnalyzer", "An operator which analyzes the size of the population in a scope tree.")]
-  [StorableClass]
+  [StorableType("766717D5-F4B8-41E6-9E3F-A270CA53C311")]
   public sealed class PopulationSizeAnalyzer : AlgorithmOperator, IAnalyzer {
     #region Parameter properties
@@ -69,5 +69,5 @@
     #region Storing & Cloning
     [StorableConstructor]
-    private PopulationSizeAnalyzer(bool deserializing) : base(deserializing) { }
+    private PopulationSizeAnalyzer(StorableConstructorFlag _) : base(_) { }
     private PopulationSizeAnalyzer(PopulationSizeAnalyzer original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: stable/HeuristicLab.Algorithms.RAPGA/3.3/Analyzers/SelectionPressureAnalyzer.cs
===================================================================
--- stable/HeuristicLab.Algorithms.RAPGA/3.3/Analyzers/SelectionPressureAnalyzer.cs	(revision 15587)
+++ stable/HeuristicLab.Algorithms.RAPGA/3.3/Analyzers/SelectionPressureAnalyzer.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -28,5 +28,5 @@
 using HeuristicLab.Optimization.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Algorithms.RAPGA {
@@ -35,5 +35,5 @@
   /// </summary>
   [Item("SelectionPressureAnalyzer", "An operator which analyzes the actual selection pressure.")]
-  [StorableClass]
+  [StorableType("D09EA429-381C-43EC-B033-36B113886CB8")]
   public sealed class SelectionPressureAnalyzer : AlgorithmOperator, IAnalyzer {
     #region Parameter properties
@@ -63,5 +63,5 @@
     #region Storing & Cloning
     [StorableConstructor]
-    private SelectionPressureAnalyzer(bool deserializing) : base(deserializing) { }
+    private SelectionPressureAnalyzer(StorableConstructorFlag _) : base(_) { }
     private SelectionPressureAnalyzer(SelectionPressureAnalyzer original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: stable/HeuristicLab.Algorithms.RAPGA/3.3/DuplicatesSelector.cs
===================================================================
--- stable/HeuristicLab.Algorithms.RAPGA/3.3/DuplicatesSelector.cs	(revision 15587)
+++ stable/HeuristicLab.Algorithms.RAPGA/3.3/DuplicatesSelector.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,5 +26,5 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.Selection;
 
@@ -37,5 +37,5 @@
   /// </remarks>
   [Item("DuplicatesSelector", "A selection operator which considers a single solution representation and selects duplicates. The remaining scope then contains unique solutions and the selected scope their duplicates.")]
-  [StorableClass]
+  [StorableType("08446059-0FB3-4B20-9D70-B73F2EEC2AAF")]
   public sealed class DuplicatesSelector : SingleObjectiveSelector {
     public IValueLookupParameter<ISolutionSimilarityCalculator> SimilarityCalculatorParameter {
@@ -44,5 +44,5 @@
 
     [StorableConstructor]
-    private DuplicatesSelector(bool deserializing) : base(deserializing) { }
+    private DuplicatesSelector(StorableConstructorFlag _) : base(_) { }
     private DuplicatesSelector(DuplicatesSelector original, Cloner cloner) : base(original, cloner) { }
     public DuplicatesSelector()
Index: stable/HeuristicLab.Algorithms.RAPGA/3.3/HeuristicLab.Algorithms.RAPGA-3.3.csproj
===================================================================
--- stable/HeuristicLab.Algorithms.RAPGA/3.3/HeuristicLab.Algorithms.RAPGA-3.3.csproj	(revision 15587)
+++ stable/HeuristicLab.Algorithms.RAPGA/3.3/HeuristicLab.Algorithms.RAPGA-3.3.csproj	(revision 17097)
@@ -11,5 +11,5 @@
     <RootNamespace>HeuristicLab.Algorithms.RAPGA</RootNamespace>
     <AssemblyName>HeuristicLab.Algorithms.RAPGA-3.3</AssemblyName>
-    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
     <SignAssembly>true</SignAssembly>
@@ -85,8 +85,17 @@
   </PropertyGroup>
   <ItemGroup>
+    <Reference Include="Google.Protobuf, Version=3.6.1.0, Culture=neutral, PublicKeyToken=a7d26565bac4d604, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\Google.Protobuf.3.6.1\lib\net45\Google.Protobuf.dll</HintPath>
+    </Reference>
+    <Reference Include="HEAL.Attic, Version=1.0.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\HEAL.Attic.1.0.0-pre02\lib\net461\HEAL.Attic.dll</HintPath>
+    </Reference>
     <Reference Include="System" />
     <Reference Include="System.Core" />
     <Reference Include="System.Data" />
     <Reference Include="System.Drawing" />
+    <Reference Include="System.Drawing.Common, Version=4.0.0.1, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\System.Drawing.Common.4.5.1\lib\net461\System.Drawing.Common.dll</HintPath>
+    </Reference>
     <Reference Include="System.Xml" />
   </ItemGroup>
@@ -105,4 +114,5 @@
   <ItemGroup>
     <None Include="HeuristicLab.snk" />
+    <None Include="packages.config" />
     <None Include="Plugin.cs.frame" />
     <None Include="Properties\AssemblyInfo.cs.frame" />
Index: stable/HeuristicLab.Algorithms.RAPGA/3.3/Plugin.cs.frame
===================================================================
--- stable/HeuristicLab.Algorithms.RAPGA/3.3/Plugin.cs.frame	(revision 15587)
+++ stable/HeuristicLab.Algorithms.RAPGA/3.3/Plugin.cs.frame	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: stable/HeuristicLab.Algorithms.RAPGA/3.3/ProgressiveOffspringPreserver.cs
===================================================================
--- stable/HeuristicLab.Algorithms.RAPGA/3.3/ProgressiveOffspringPreserver.cs	(revision 15587)
+++ stable/HeuristicLab.Algorithms.RAPGA/3.3/ProgressiveOffspringPreserver.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -27,5 +27,5 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Algorithms.RAPGA {
@@ -37,5 +37,5 @@
   /// </remarks>
   [Item("ProgressiveOffspringPreserver", "An operator that progressively selects offspring by adding it to a scope list. The operator also performs duplication control.")]
-  [StorableClass]
+  [StorableType("36A99B15-7DF3-481A-8D76-24BF4ED7B6F8")]
   public sealed class ProgressiveOffspringPreserver : SingleSuccessorOperator {
     #region Parameter Properties
@@ -73,5 +73,5 @@
 
     [StorableConstructor]
-    private ProgressiveOffspringPreserver(bool deserializing) : base(deserializing) { }
+    private ProgressiveOffspringPreserver(StorableConstructorFlag _) : base(_) { }
     private ProgressiveOffspringPreserver(ProgressiveOffspringPreserver original, Cloner cloner) : base(original, cloner) { }
     public ProgressiveOffspringPreserver()
Index: stable/HeuristicLab.Algorithms.RAPGA/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- stable/HeuristicLab.Algorithms.RAPGA/3.3/Properties/AssemblyInfo.cs.frame	(revision 15587)
+++ stable/HeuristicLab.Algorithms.RAPGA/3.3/Properties/AssemblyInfo.cs.frame	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: stable/HeuristicLab.Algorithms.RAPGA/3.3/RAPGA.cs
===================================================================
--- stable/HeuristicLab.Algorithms.RAPGA/3.3/RAPGA.cs	(revision 15587)
+++ stable/HeuristicLab.Algorithms.RAPGA/3.3/RAPGA.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -30,5 +30,5 @@
 using HeuristicLab.Optimization.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.PluginInfrastructure;
 using HeuristicLab.Random;
@@ -40,5 +40,5 @@
   [Item("RAPGA", "A relevant alleles preserving genetic algorithm (Affenzeller, M. et al. 2007. Self-adaptive population size adjustment for genetic algorithms. Proceedings of Computer Aided Systems Theory: EuroCAST 2007, Lecture Notes in Computer Science, pp 820–828. Springer).")]
   [Creatable(CreatableAttribute.Categories.PopulationBasedAlgorithms, Priority = 140)]
-  [StorableClass]
+  [StorableType("8E326660-354E-4016-B96B-A5B137F766D7")]
   public sealed class RAPGA : HeuristicOptimizationEngineAlgorithm, IStorableContent {
     public string Filename { get; set; }
@@ -197,5 +197,5 @@
 
     [StorableConstructor]
-    private RAPGA(bool deserializing) : base(deserializing) { }
+    private RAPGA(StorableConstructorFlag _) : base(_) { }
     [StorableHook(HookType.AfterDeserialization)]
     private void AfterDeserialization() {
Index: stable/HeuristicLab.Algorithms.RAPGA/3.3/RAPGAMainLoop.cs
===================================================================
--- stable/HeuristicLab.Algorithms.RAPGA/3.3/RAPGAMainLoop.cs	(revision 15587)
+++ stable/HeuristicLab.Algorithms.RAPGA/3.3/RAPGAMainLoop.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -27,5 +27,5 @@
 using HeuristicLab.Optimization.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.Selection;
 
@@ -35,5 +35,5 @@
   /// </summary>
   [Item("RAPGAMainLoop", "An operator which represents the main loop of a relevant alleles preserving genetic algorithm.")]
-  [StorableClass]
+  [StorableType("31A887DE-2FE2-419A-9784-1BAE52067930")]
   public sealed class RAPGAMainLoop : AlgorithmOperator {
     #region Parameter properties
@@ -111,5 +111,5 @@
 
     [StorableConstructor]
-    private RAPGAMainLoop(bool deserializing) : base(deserializing) { }
+    private RAPGAMainLoop(StorableConstructorFlag _) : base(_) { }
     private RAPGAMainLoop(RAPGAMainLoop original, Cloner cloner) : base(original, cloner) { }
     public RAPGAMainLoop()
Index: stable/HeuristicLab.Algorithms.RAPGA/3.3/ScopeRestorer.cs
===================================================================
--- stable/HeuristicLab.Algorithms.RAPGA/3.3/ScopeRestorer.cs	(revision 15587)
+++ stable/HeuristicLab.Algorithms.RAPGA/3.3/ScopeRestorer.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,5 +24,5 @@
 using HeuristicLab.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Algorithms.RAPGA {
@@ -34,5 +34,5 @@
   /// </remarks>
   [Item("ScopeRestorer", "An operator that restores created offspring from a scope list. It adds all scopes in the list as sub-scopes to the current scope.")]
-  [StorableClass]
+  [StorableType("3246BDED-5177-4681-A2EF-2E9892AAED09")]
   public class ScopeRestorer : SingleSuccessorOperator {
     #region Parameter Properties
@@ -55,5 +55,5 @@
 
     [StorableConstructor]
-    protected ScopeRestorer(bool deserializing) : base(deserializing) { }
+    protected ScopeRestorer(StorableConstructorFlag _) : base(_) { }
     protected ScopeRestorer(ScopeRestorer original, Cloner cloner) : base(original, cloner) { }
     public ScopeRestorer()
Index: stable/HeuristicLab.Algorithms.RAPGA/3.3/packages.config
===================================================================
--- stable/HeuristicLab.Algorithms.RAPGA/3.3/packages.config	(revision 17097)
+++ stable/HeuristicLab.Algorithms.RAPGA/3.3/packages.config	(revision 17097)
@@ -0,0 +1,6 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<packages>
+  <package id="Google.Protobuf" version="3.6.1" targetFramework="net461" />
+  <package id="HEAL.Attic" version="1.0.0-pre02" targetFramework="net461" />
+  <package id="System.Drawing.Common" version="4.5.1" targetFramework="net461" />
+</packages>
